Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# CopyConstructible Struct Template Reference
[Basic Concepts]

`#include <gil_concept.hpp>`

List of all members.

## Detailed Description

### template<typename T>
struct boost::gil::CopyConstructible< T >

concept CopyConstructible<typename T> { T::T(T); T::~T(); };

## Public Member Functions

void | constraints ()

The documentation for this struct was generated from the following file:

- gil_concept.hpp